net.sf.cglib.transform.impl

## Class FieldProviderTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter
      - - net.sf.cglib.transform.ClassEmitterTransformer
        - - net.sf.cglib.transform.impl.FieldProviderTransformer

-     public class FieldProviderTransformer
      extends ClassEmitterTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldProviderTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin_class(int version, int access, java.lang.String className, Type superType, Type[] interfaces, java.lang.String sourceFile)`
    `void` | `declare_field(int access, java.lang.String name, Type type, java.lang.Object value)`
    `void` | `end_class()`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_method, begin_static, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldProviderTransformer

          public FieldProviderTransformer()

  - ### Method Detail

    - #### begin_class

          public void begin_class(int version,
                         int access,
                         java.lang.String className,
                         Type superType,
                         Type[] interfaces,
                         java.lang.String sourceFile)

      Overrides:
        `begin_class` in class `ClassEmitter`

    - #### declare_field

          public void declare_field(int access,
                           java.lang.String name,
                           Type type,
                           java.lang.Object value)

      Overrides:
        `declare_field` in class `ClassEmitter`

    - #### end_class

          public void end_class()

      Overrides:
        `end_class` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation